Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Bond.Record

    java.lang.Object
      com.xensource.xenapi.Bond.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Bond

    public static class Bond.Record

extends Object
implements Types.Record

Represents all the fields in a Bond

Field Summary
`Long` | `linksUp` Number of links up in this bond
`PIF` | `master` The bonded interface
`Types.BondMode` | `mode` The algorithm used to distribute traffic among the bonded NICs
`Map<String,String>` | `otherConfig` additional configuration
`PIF` | `primarySlave` The PIF of which the IP configuration and MAC were copied to the bond, and which will receive all configuration/VLANs/VIFs on the bond if the bond is destroyed
`Map<String,String>` | `properties` Additional configuration properties specific to the bond mode.
`Set<PIF>` | `slaves` The interfaces which are part of this bond
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`Bond.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a Bond.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### master

    public PIF master

  The bonded interface

### slaves

    public Set<PIF> slaves

  The interfaces which are part of this bond

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### primarySlave

    public PIF primarySlave

  The PIF of which the IP configuration and MAC were copied to the bond, and which will receive all configuration/VLANs/VIFs on the bond if the bond is destroyed

### mode

    public Types.BondMode mode

  The algorithm used to distribute traffic among the bonded NICs

### properties

    public Map<String,String> properties

  Additional configuration properties specific to the bond mode.

### linksUp

    public Long linksUp

  Number of links up in this bond

Constructor Detail

### Bond.Record

    public Bond.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a Bond.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD